/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * Copyright (C) 2001 CodeFactory AB
 * Copyright (C) 2001 Richard Hult <rhult@codefactory.se>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Richard Hult
 */

#ifndef __GANTT_GOTO_CONTROL_H__
#define __GANTT_GOTO_CONTROL_H__

#include <gtk/gtktypeutils.h>
#include <bonobo/bonobo-control.h>

#define TYPE_GANTT_GOTO_CONTROL		(gantt_goto_control_get_type ())
#define GANTT_GOTO_CONTROL(object)	(GTK_CHECK_CAST ((object), TYPE_GANTT_GOTO_CONTROL, GanttGotoControl))
#define GANTT_GOTO_CONTROL_CLASS(klass) (GTK_CHECK_CLASS_CAST ((klass), TYPE_GANTT_GOTO_CONTROL, GanttGotoControlClass))
#define IS_GANTT_GOTO_CONTROL(object)   (GTK_CHECK_TYPE ((object), TYPE_GANTT_GOTO_CONTROL))
#define IS_GANTT_GOTO_CONTROL_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), TYPE_GANTT_GOTO_CONTROL))

typedef struct _GanttGotoControl GanttGotoControl;
typedef struct _GanttGotoControlClass GanttGotoControlClass;

struct _GanttGotoControl
{
        BonoboControl  parent_object;
	GtkWidget     *combo;
	GtkWidget     *calendar;
};

struct _GanttGotoControlClass
{
        BonoboControlClass parent_class;
};

GtkType        gantt_goto_control_get_type (void);
BonoboControl *gantt_goto_control_new      (void);


#endif /* __GANTT_GOTO_CONTROL_H__ */

