/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * Copyright (C) 2001 CodeFactory AB
 * Copyright (C) 2001 Richard Hult <rhult@codefactory.se>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Richard Hult
 */

#ifndef __GANTT_LINK_ITEM_H__
#define __GANTT_LINK_ITEM_H__

#include <libgnomeui/gnome-canvas.h>

#define TYPE_GANTT_LINK_ITEM		(gantt_link_item_get_type ())
#define GANTT_LINK_ITEM(obj)		(GTK_CHECK_CAST ((obj), TYPE_GANTT_LINK_ITEM, GanttLinkItem))
#define GANTT_LINK_ITEM_CLASS(klass)	(GTK_CHECK_CLASS_CAST ((klass), TYPE_GANTT_LINK_ITEM, GanttLinkItemClass))
#define IS_GANTT_LINK_ITEM(obj)		(GTK_CHECK_TYPE ((obj), TYPE_GANTT_LINK_ITEM))
#define IS_GANTT_LINK_ITEM_CLASS(klass)	(GTK_CHECK_CLASS_TYPE ((obj), TYPE_GANTT_LINK_ITEM))

typedef struct _GanttLinkItem       GanttLinkItem;
typedef struct _GanttLinkItemPriv   GanttLinkItemPriv;

struct _GanttLinkItem {
	GnomeCanvasItem    parent;
	GanttLinkItemPriv *priv;
};

typedef struct {
	GnomeCanvasItemClass parent_class;
} GanttLinkItemClass;

GtkType		 gantt_link_item_get_type (void);

#endif /* __GANTT_LINK_ITEM_H__ */
