/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * Copyright (C) 2000 CodeFactory AB
 * Copyright (C) 2000 Richard Hult <rhult@codefactory.se>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Richard Hult
 */

#ifndef __PROJECT_FACTORY_H__
#define __PROJECT_FACTORY_H__

#include <libgnome/gnome-defs.h>
#include <bonobo/bonobo-generic-factory.h>
#include "libmrproject/GNOME_MrProject.h"

#define PROJECT_FACTORY_TYPE	    (project_factory_get_type ())
#define PROJECT_FACTORY(o)          (GTK_CHECK_CAST ((o), PROJECT_FACTORY_TYPE, ProjectFactory))
#define PROJECT_FACTORY_CLASS(k)    (GTK_CHECK_CLASS_CAST((k), PROJECT_FACTORY_TYPE, ProjectFactoryClass))
#define IS_PROJECT_FACTORY(o)       (GTK_CHECK_TYPE ((o), PROJECT_FACTORY_TYPE))
#define IS_PROJECT_FACTORY_CLASS(k) (GTK_CHECK_CLASS_TYPE ((k), PROJECT_FACTORY_TYPE))

typedef struct _ProjectFactoryPriv ProjectFactoryPriv;

typedef struct {
	BonoboGenericFactory	 parent;
	ProjectFactoryPriv	*priv;
} ProjectFactory;

typedef struct {
	BonoboGenericFactoryClass parent_class;
} ProjectFactoryClass;

GtkType		 project_factory_get_type  (void);
void		 project_factory_construct (ProjectFactory                 *factory,
					    GNOME_MrProject_ProjectFactory  corba_factory);
ProjectFactory	*project_factory_new       (void);
void		 project_factory_read      (ProjectFactory                 *factory,
					    GNOME_MrProject_Project         project_co,
					    const gchar                    *uri,
					    CORBA_Environment              *ev);

POA_GNOME_MrProject_ProjectFactory__epv *
project_factory_get_epv                    (void);


#endif /* __PROJECT_FACTORY_H__ */


